Bug 149114 - LibreOffice crashed on closing the tip of the day
Summary: LibreOffice crashed on closing the tip of the day
Status: RESOLVED WORKSFORME
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: LibreOffice (show other bugs)
Version:
(earliest affected)
7.3.3.2 release
Hardware: All Linux (All)
: medium major
Assignee: Not Assigned
URL:
Whiteboard:
Keywords: implementationError
Depends on:
Blocks: Tip-Of-The-Day
  Show dependency treegraph
 
Reported: 2022-05-16 20:52 UTC by BDF
Modified: 2022-08-10 08:22 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments
LO crash when TotD is closed (12.65 MB, video/webm)
2022-08-10 07:03 UTC, BDF
Details

Note You need to log in before you can comment on or make changes to this bug.
Description BDF 2022-05-16 20:52:18 UTC
Description:
When two windows are opened and the first window is closed while displaying the tip of the day, closing the tip of the day will crash the second window.

Steps to Reproduce:
1. Open a LibreOffice file (tested with Calc and Writer) and display the tip of the day
2. Open a second file (keep the tip of the day open)
3. Close the first window, then close the tip of the day

Actual Results:
The second window is crashes when the tip of the day of the first (no longer existing window) is closed.

Expected Results:
Tip of the day is closed and second window does not crash. maybe the tip of the day is closed together with the first image.


Reproducible: Always


User Profile Reset: No



Additional Info:
I discovered this bug like this:
1) I opened a file, but I clicked on the wrong one.
2) While LibreOffice was loading up, I clicked on the second file right next to it.
3) The window of the first file is displayed and the tip of the day is displayed (I never changed that setting that the tip of the day is displayed on startup)
4) I closed the window of the first file *before* I closed the tip of the day.
5) When I wanted to close the window of the tip of the day, the second window crashed as well

LibreOffice was also put into that strange mode where a process seems to exist in the system monitor and LibreOffice does not open a new window until the process is killed. I could observe exactly this not-opneing-a-new-window behaviour on Windows as well in the past. Not in relation to this bug, but in general.

--------------------------------------------------

Operating System: KDE neon 5.24
KDE Plasma Version: 5.24.5
KDE Frameworks Version: 5.93.0
Qt Version: 5.15.3
Kernel Version: 5.13.0-41-generic (64-bit)
Graphics Platform: X11
Processors: 16 × AMD Ryzen 7 4800H with Radeon Graphics
Memory: 30.8 GiB of RAM
Graphics Processor: AMD RENOIR

Version: 7.3.3.2 / LibreOffice Community
Build ID: d1d0ea68f081ee2800a922cac8f79445e4603348
CPU threads: 16; OS: Linux 5.13; UI render: default; VCL: gtk3
Locale: de-AT (de_AT.UTF-8); UI: de-DE
Flatpak
Calc: threaded
Comment 1 BDF 2022-05-16 20:55:29 UTC
I tested this bug on Windows 10 with LibreOffice version 7.3.2.2 and it does NOT crash.
On Windows the window of the tip of the day is closed along with the window of the first file.
Comment 2 BDF 2022-05-17 07:53:49 UTC
Wayland has the same issue.

Operating System: KDE neon 5.24
KDE Plasma Version: 5.24.5
KDE Frameworks Version: 5.93.0
Qt Version: 5.15.3
Kernel Version: 5.13.0-41-generic (64-bit)
Graphics Platform: Wayland
Processors: 16 × AMD Ryzen 7 4800H with Radeon Graphics
Memory: 30.8 GiB of RAM
Graphics Processor: AMD RENOIR
Comment 3 Timur 2022-05-23 19:10:32 UTC
Please try with LO User Profile Reset.
Comment 4 BDF 2022-05-27 11:24:40 UTC
Tested, no change
Comment 5 Timur 2022-05-27 12:39:50 UTC
I confirmed the crash with LO 7.3+ in GTK3, closing on x. 
But not with master 7.4+ so I resolve as WFM. 
Please set Unconfirmed if you can reproduce with 7.4 from daily master.
Comment 6 Timur 2022-05-27 13:07:44 UTC
Seems like implementationError in bug 142370, don't know where fixed.
Comment 7 BDF 2022-07-18 11:20:15 UTC
I just tested this. LibreOffice still crashed just as described.
Comment 8 Timur 2022-07-18 11:55:54 UTC
Tested with which version?
Comment 9 BDF 2022-08-09 21:20:05 UTC
Several ones. I tested this today with the version from flathub.

Version: 7.3.5.2 / LibreOffice Community
Build ID: 184fe81b8c8c30d8b5082578aee2fed2ea847c01
CPU threads: 16; OS: Linux 5.15; UI render: default; VCL: gtk3
Locale: de-AT (de_AT.UTF-8); UI: de-DE
Flatpak
Calc: threaded

1) Open eg. calc
2) Open Tip of the day
3) Open new window of the same application (so eg. calc again)
4) Close first clac window (not the tip of the day)
5) Close the tip of the day
-> Second window is crashed

I had the same problem with more than one window as well. Writer crashed my presentation in Impress.
Comment 10 BDF 2022-08-10 07:03:20 UTC
Created attachment 181676 [details]
LO crash when TotD is closed

Just as wrote in the comment above the steps to reproduce the bug:

1) Open eg. calc
2) Open Tip of the day
3) Open new window of the same application (so eg. calc again)
4) Close first clac window (not the tip of the day)
5) Close the tip of the day
-> Second window is crashed

Add 3) You can also open eg. calc, open eg. impress, display the tip of the day in the first window, close the first window, close the tip of the day and impress will crash.
Comment 11 Timur 2022-08-10 08:22:08 UTC
BDF, do not change status. 
See https://bugs.documentfoundation.org/page.cgi?id=fields.html#bug_status.
If I confirm the bug with LO 7.3 but say I don't repro with 7.4 (indicating it was fixed later) then it makes no logical sense that you repeatably test with 7.3 and wrongly change status. 
You may test with daily master 7.5+ from https://dev-builds.libreoffice.org/daily/master/
Easy with https://wiki.documentfoundation.org/Installing_in_parallel/Linux.